Displaying 11 results from an estimated 11 matches for "xend_stop".
2009 Jul 22
0
Bug#538073: /etc/init.d/xend: typo in xend_stop
Package: xen-utils-common
Version: 3.3.1-2
Tags: patch
xend_stop currently fails because the script defines $XEND rather than
$DAEMON.
--- xen-common/debian/xen-utils-common.xend.init
+++ xen-common/debian/xen-utils-common.xend.init
@@ -49,8 +49,8 @@ xend_start()
xend_stop()
{
- $DAEMON status || return 0
- $DAEMON stop || return 1
+ $XEND status || return...
2009 Nov 12
1
Bug#555902: xen-utils-3.4: /etc/init.d/xend - $DAEMON variable at xend_stop()
Package: xen-utils-3.4
Version: 3.4.0-2
Severity: normal
Hi,
the variable $DAEMON in /etc/init.d/xend is not set and thus the init.d/-script is not usable. I think it's supposed to be $XEND.
Any ideas on that one?
regards,
Patrick
-- System Information:
Debian Release: squeeze/sid
APT prefers testing
APT policy: (500, 'testing')
Architecture: amd64 (x86_64)
Kernel: Linux
2010 Mar 20
0
Processed: reassign 555902 to xen-utils-common, forcibly merging 555902 538073
Processing commands for control at bugs.debian.org:
> reassign 555902 xen-utils-common 3.3.1-2
Bug #555902 {Done: Bastian Blank <waldi at debian.org>} [xen-utils-3.4] xen-utils-3.4: /etc/init.d/xend - $DAEMON variable at xend_stop()
Bug reassigned from package 'xen-utils-3.4' to 'xen-utils-common'.
Bug No longer marked as found in versions xen-3/3.4.0-2.
Bug No longer marked as fixed in versions xen-common/3.4.2-1.
Bug #555902 {Done: Bastian Blank <waldi at debian.org>} [xen-utils-common] xen-utils-3.4:...
2010 Sep 19
3
Bug#597403: xen-utils-common: need to run restorecon in /etc/init.d/xend on SE Linux systems
...p -q "control_d" /proc/xen/capabilities || return 1
return 0
}
xend_start()
{
log_progress_msg "xend"
$XEND status && return 1
$XEND start || return 2
i=0
while [ $i -lt 10 ]; do
$XEND status && return 0 || true
i=$(($i + 1))
sleep 1
done
return 2
}
xend_stop()
{
log_progress_msg "xend"
$XEND status || return 0
$XEND stop || return 1
}
xenconsoled_start()
{
log_progress_msg "xenconsoled"
start-stop-daemon --start --quiet --pidfile "$XENCONSOLED_PIDFILE" --
exec "$XENCONSOLED" --test > /dev/null \
|| retu...
2014 Oct 12
2
Bug#764912: xen-utils-common: needs to apply SE Linux labels after creating directories in start script
...] && return 0
mkdir -m 700 /run/xen
[ -x /sbin/restorecon ] && /sbin/restorecon /run/xen
}
xend_start()
{
if [ -z "$XEND" ] || [ "$(basename "$TOOLSTACK")" != xm ]; then
return 0
fi
log_progress_msg "xend"
xend_start_real
return $?
}
xend_stop()
{
if [ -z "$XEND" ] || [ "$(basename "$TOOLSTACK")" != xm ]; then
return 0
fi
log_progress_msg "xend"
xend_stop_real
return $?
}
xend_restart()
{
if [ -z "$XEND" ] || [ "$(basename "$TOOLSTACK")" != xm ]; then
return...
2014 Mar 23
1
Bug#742397: xen-utils-common: /etc/init.d/dom0weight is hardcoded to use xm
...abilities || return 1
return 0
}
env_setup()
{
[ -d /run/xen ] && return 0
mkdir -m 700 /run/xen
}
xend_start()
{
if [ -z "$XEND" ] || [ "$(basename "$TOOLSTACK")" != xm ]; then
return 0
fi
log_progress_msg "xend"
xend_start_real
return $?
}
xend_stop()
{
if [ -z "$XEND" ] || [ "$(basename "$TOOLSTACK")" != xm ]; then
return 0
fi
log_progress_msg "xend"
xend_stop_real
return $?
}
xend_restart()
{
if [ -z "$XEND" ] || [ "$(basename "$TOOLSTACK")" != xm ]; then
return...
2012 Jun 24
3
Bug#678719: xen-utils-common: please label all created directories for SE Linux
...apabilities" ] || return 1
grep -q "control_d" /proc/xen/capabilities || return 1
return 0
}
xend_start()
{
if [ -z "$XEND" ] || [ "$(basename "$TOOLSTACK")" != xm ]; then
return 0
fi
log_progress_msg "xend"
xend_start_real
return $?
}
xend_stop()
{
if [ -z "$XEND" ] || [ "$(basename "$TOOLSTACK")" != xm ]; then
return 0
fi
log_progress_msg "xend"
xend_stop_real
return $?
}
xend_restart()
{
if [ -z "$XEND" ] || [ "$(basename "$TOOLSTACK")" != xm ]; then
return...
2014 Nov 21
3
Bug#770456: Please start a qemu process in domain 0.
...;;
esac
+ qemu_start
+ case "$?" in
+ 0|1) ;;
+ *) log_end_msg 1; exit ;;
+ esac
log_end_msg 0
;;
stop)
@@ -237,6 +300,11 @@ case "$1" in
esac
log_daemon_msg "Stopping $DESC"
ret=0
+ qemu_stop
+ case "$?" in
+ 0|1) ;;
+ *) ret=1 ;;
+ esac
xend_stop
case "$?" in
0|1) ;;
@@ -257,6 +325,11 @@ case "$1" in
esac
log_daemon_msg "Restarting $DESC"
ret=0
+ qemu_restart
+ case "$?" in
+ 0|1) ;;
+ *) ret=1 ;;
+ esac
xend_restart
case "$?" in
0|1) ;;
2014 Nov 27
0
Bug#770456: Bug#770456: Please start a qemu process in domain 0.
...;;
esac
+ qemu_start
+ case "$?" in
+ 0|1) ;;
+ *) log_end_msg 1; exit ;;
+ esac
log_end_msg 0
;;
stop)
@@ -237,6 +300,11 @@ case "$1" in
esac
log_daemon_msg "Stopping $DESC"
ret=0
+ qemu_stop
+ case "$?" in
+ 0|1) ;;
+ *) ret=1 ;;
+ esac
xend_stop
case "$?" in
0|1) ;;
@@ -257,6 +325,11 @@ case "$1" in
esac
log_daemon_msg "Restarting $DESC"
ret=0
+ qemu_restart
+ case "$?" in
+ 0|1) ;;
+ *) ret=1 ;;
+ esac
xend_restart
case "$?" in
0|1) ;;
-------------- next part ---------...
2014 Nov 27
3
Bug#770456: Bug#770456: Please start a qemu process in domain 0.
On Thu, 2014-11-27 at 11:02 +0100, Stefan Bader wrote:
> On 21.11.2014 13:50, Ian Campbell wrote:
> > Package: xen-utils-common
> > Version: 4.4.0-1
> > Severity: important
> > Tags: patch
> >
> > Under some circumstances the xl toolstack needs to create a loopback
> > mount of a guest disk in dom0 (e.g. in order to run pygrub). Depending
> > on
2015 Jan 22
5
Ubuntu delta against 4.5.0-1 in experimental for disussion
...*) log_end_msg 1; exit ;;
esac
+ qemu_start
+ case "$?" in
+ 0|1) ;;
+ *) log_end_msg 1; exit ;;
+ esac
log_end_msg 0
;;
stop)
@@ -237,6 +316,11 @@
esac
log_daemon_msg "Stopping $DESC"
ret=0
+ qemu_stop
+ case "$?" in
+ 0|1) ;;
+ *) ret=1 ;;
+ esac
xend_stop
case "$?" in
0|1) ;;
@@ -257,6 +341,11 @@
esac
log_daemon_msg "Restarting $DESC"
ret=0
+ qemu_restart
+ case "$?" in
+ 0|1) ;;
+ *) ret=1 ;;
+ esac
xend_restart
case "$?" in
0|1) ;;
-------------- next part --------------
A non-text attac...